(function () {
    function revealSvgStrokeDashArray(hypeDocument, element, event) {
      const hypePaths = [...element.querySelectorAll('.revealPath')];
      hypePaths.forEach(function (el) {
        const svgPath = el.querySelector('path');
        setStrokeDashArray(svgPath, el);
        hypeDocument.startMutationObserver(svgPath, function (e) {
          const parentHypeDiv = hypeDocument.getElementById(e.target.id.replace("_path", ""));
          setStrokeDashArray(e.target, parentHypeDiv);
        }, {
          attributes: true,
          attributeFilter: ["d"
          /*"stroke-dasharray" */
          ]
        });
      }); /////////////////////////////////////////////
  
      function setStrokeDashArray(svgPath, el) {
        if (!el.dataset.dashpercent || !el.dataset.gappercent) return;
        const length = svgPath.getTotalLength();
        const dash = parseFloat(el.dataset.dashpercent) / 100 * length;
        const gap = parseFloat(el.dataset.gappercent) / 100 * length;
        let lengthAccumulated = 0;
        let dashArray = [];
        let isEven = true;
  
        while (lengthAccumulated < length) {
          if (isEven) {
            dashArray.push(dash);
            lengthAccumulated += dash;
            isEven = false;
          } else {
            dashArray.push(gap);
            lengthAccumulated += gap;
            isEven = true;
          }
        }
  
        if (!isEven) dashArray.push(gap);
        let dashStr = dashArray.join(', ');
        dashStr += ', ' + 0 + ', ' + length;
        svgPath.style.strokeDasharray = dashStr;
      } /////////////////////
  
    }
  
    if ("HYPE_eventListeners" in window === false) {
      window.HYPE_eventListeners = Array();
    }
  
    window.HYPE_eventListeners.push({
      "type": "HypeSceneLoad",
      "callback": revealSvgStrokeDashArray
    });
  })();